%global         source_name Bibata_Cursor

Name:		bibata-cursor-theme
Version:	0.4.2
Release:	1%{?dist}
Summary:	Material Based Cursor Theme

License:	GPLv3+
URL:		https://github.com/KaizIqbal/Bibata_Cursor
Source0:	%{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	inkscape
BuildRequires:	gnome-themes-extra
BuildRequires:	xcursorgen
BuildRequires:	git
BuildRequires:	python3
BuildRequires:	python3-pip
BuildRequires:	python3-pillow

%description
Material Based Cursor Theme.
	
%prep
%autosetup -n %{source_name}-%{version}

%build
echo "Building Bibata_Classic is started..."
python3 render-cursors.py ./src/Bibata_Classic/source-cursors.svg -o -a --name Bibata_Classic
./tweak.sh Bibata_Classic
./x11-make.sh Bibata_Classic
cp src/Bibata_Classic/*.theme Bibata_Classic/out/X11/Bibata_Classic

echo "Building Bibata_Amber is started..."
python3 render-cursors.py ./src/Bibata_Amber/source-cursors.svg -o -a --name Bibata_Amber
./tweak.sh Bibata_Amber
./x11-make.sh Bibata_Amber
cp src/Bibata_Amber/*.theme Bibata_Amber/out/X11/Bibata_Amber

echo "Building Bibata_Ice is started..."
python3 render-cursors.py ./src/Bibata_Ice/source-cursors.svg -o -a --name Bibata_Ice
./tweak.sh Bibata_Ice
./x11-make.sh Bibata_Ice
cp src/Bibata_Ice/*.theme Bibata_Ice/out/X11/Bibata_Ice

echo "Building Bibata_Oil is started..."
python3 render-cursors.py ./src/Bibata_Oil/source-cursors.svg -o -a --name Bibata_Oil
./tweak.sh Bibata_Oil
./x11-make.sh Bibata_Oil
cp src/Bibata_Oil/*.theme Bibata_Oil/out/X11/Bibata_Oil

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p "$RPM_BUILD_ROOT/%{_datadir}/icons"
mv $RPM_BUILD_DIR/%{source_name}-%{version}/Bibata_Amber/out/X11/Bibata_Amber "$RPM_BUILD_ROOT/%{_datadir}/icons"
mv $RPM_BUILD_DIR/%{source_name}-%{version}/Bibata_Classic/out/X11/Bibata_Classic "$RPM_BUILD_ROOT/%{_datadir}/icons"
mv $RPM_BUILD_DIR/%{source_name}-%{version}/Bibata_Ice/out/X11/Bibata_Ice "$RPM_BUILD_ROOT/%{_datadir}/icons"
mv $RPM_BUILD_DIR/%{source_name}-%{version}/Bibata_Oil/out/X11/Bibata_Oil "$RPM_BUILD_ROOT/%{_datadir}/icons"

%files
%license LICENSE
%doc README.md
%{_datadir}/icons/*
	
%changelog

* Tue Jan 14 2020 Muhammad Ahmad <muhalantabli@gmail.com>
- New Release - v0.4.2

* Sun Oct 13 2019 Muhammad Ahmad <muhalantabli@gmail.com>
- New Release - v0.4.1

